Loading...
Searching...
No Matches
pappso::Enums Namespace Reference

## Enumerations

enum class | TimeUnit { none , s , min , h }
enum class | PrecisionUnit { none , dalton , ppm , res , mz , last }
enum class | AtomIsotopeSurvey : std::int8_t { C , H , O , N , S , P , last }
enum class | Isotope { C , C13 , H , H2 , O , O17 , O18 , N , N15 , S , S33 , S34 , S36 , P }
enum class | MsDataFormat : std::int8_t { unknown = 0 , mzML = 1 , mzXML = 2 , MGF = 3 , SQLite3 = 4 , xy = 5 , mz5 = 6 , msn = 7 , abSciexWiff = 8 , abSciexT2D = 9 , agilentMassHunter = 10 , thermoRaw = 11 , watersRaw = 12 , brukerFid = 13 , brukerYep = 14 , brukerBaf = 15 , brukerTims = 16 , brukerBafAscii = 17 , mzcbor = 18 , last = 19 }
enum class | FileReaderType { pwiz , mzcbor , xy , bafascii , tims , tims_frames , tims_ms2 , tims_dia }

enum class

AminoAcidChar : char {
alanine = 'A' , cysteine = 'C' , aspartic_acid = 'D' , glutamic_acid = 'E' ,
phenylalanine = 'F' , glycine = 'G' , histidine = 'H' , isoleucine = 'I' ,
lysine = 'K' , leucine = 'L' , methionine = 'M' , asparagine = 'N' ,
proline = 'P' , glutamine = 'Q' , arginine = 'R' , serine = 'S' ,
threonine = 'T' , valine = 'V' , tryptophan = 'W' , tyrosine = 'Y' ,
selenocysteine = 'U' , pyrrolysine = 'O'
}

enum class | SortType : std::int8_t { none = 0 , x = 1 , y = 2 }
enum class | SortOrder : std::int8_t { ascending = 0 , descending = 1 }
enum class | DataCompression : std::int8_t { unset = -1 , none = 0 , zlib = 1 }
enum class | DataKind : std::int8_t { unset = -1 , rt = 0 , dt = 1 , mz = 2 }
enum class | Axis : std::int8_t { unset = 0x000 , x = 1 << 0 , y = 1 << 1 , z = 1 << 2 }
enum class | AxisScale : std::int8_t { unset = 0 , orig = 1 , log10 = 2 }
enum class | XicExtractMethod : std::int8_t { sum = 1 , max = 2 }
enum class | PeptideIon : std::int8_t { b = 0 , bstar = 1 , bo = 2 , a = 3 , astar = 4 , ao = 5 , bp = 6 , c = 7 , y = 8 , ystar = 9 , yo = 10 , z = 11 , yp = 12 , x = 13 }
| Enums::PeptideIon enum defines all types of ions (Nter or Cter). More...

## Enumeration Type Documentation

## AminoAcidChar

enum class pappso::Enums::AminoAcidChar : char

strong

Enumerator
alanine |
cysteine |
aspartic_acid |
glutamic_acid |
phenylalanine |
glycine |
histidine |
isoleucine |
lysine |
leucine |
methionine |
asparagine |
proline |
glutamine |
arginine |
serine |
threonine |
valine |
tryptophan |
tyrosine |
selenocysteine |
pyrrolysine |

Definition at line 195 of file types.h.

{
alanine = 'A',
cysteine = 'C',
aspartic_acid = 'D',
glutamic_acid = 'E',
phenylalanine = 'F',
glycine = 'G',
histidine = 'H',
isoleucine = 'I',
lysine = 'K',
leucine = 'L',
methionine = 'M',
asparagine = 'N',
proline = 'P',
glutamine = 'Q',
arginine = 'R',
serine = 'S',
threonine = 'T',
valine = 'V',
tryptophan = 'W',
tyrosine = 'Y',
selenocysteine = 'U',
pyrrolysine = 'O',
};
pappso::Enums::AminoAcidChar::lysine
@ lysine
Definition types.h:205
pappso::Enums::AminoAcidChar::tyrosine
@ tyrosine
Definition types.h:216
pappso::Enums::AminoAcidChar::glycine
@ glycine
Definition types.h:202
pappso::Enums::AminoAcidChar::methionine
@ methionine
Definition types.h:207
pappso::Enums::AminoAcidChar::cysteine
@ cysteine
Definition types.h:198
pappso::Enums::AminoAcidChar::proline
@ proline
Definition types.h:209
pappso::Enums::AminoAcidChar::asparagine
@ asparagine
Definition types.h:208
pappso::Enums::AminoAcidChar::histidine
@ histidine
Definition types.h:203
pappso::Enums::AminoAcidChar::alanine
@ alanine
Definition types.h:197
pappso::Enums::AminoAcidChar::glutamic_acid
@ glutamic_acid
Definition types.h:200
pappso::Enums::AminoAcidChar::pyrrolysine
@ pyrrolysine
Definition types.h:218
pappso::Enums::AminoAcidChar::leucine
@ leucine
Definition types.h:206
pappso::Enums::AminoAcidChar::arginine
@ arginine
Definition types.h:211
pappso::Enums::AminoAcidChar::threonine
@ threonine
Definition types.h:213
pappso::Enums::AminoAcidChar::serine
@ serine
Definition types.h:212
pappso::Enums::AminoAcidChar::phenylalanine
@ phenylalanine
Definition types.h:201
pappso::Enums::AminoAcidChar::selenocysteine
@ selenocysteine
Definition types.h:217
pappso::Enums::AminoAcidChar::valine
@ valine
Definition types.h:214
pappso::Enums::AminoAcidChar::aspartic_acid
@ aspartic_acid
Definition types.h:199
pappso::Enums::AminoAcidChar::tryptophan
@ tryptophan
Definition types.h:215
pappso::Enums::AminoAcidChar::isoleucine
@ isoleucine
Definition types.h:204
pappso::Enums::AminoAcidChar::glutamine
@ glutamine
Definition types.h:210

## AtomIsotopeSurvey

enum class pappso::Enums::AtomIsotopeSurvey : std::int8_t

strong

Enumerator
C |
H |
O |
N |
S |
P |
last |

Definition at line 109 of file types.h.

{
C,
H,
O,
N,
S,
P,
last
};
pappso::Enums::AtomIsotopeSurvey::P
@ P
Definition types.h:116
pappso::masschroq::PeakQualityCategory::last
@ last
Definition types.h:61
pappso::AtomIsotope::C
@ C
Definition peptidenaturalisotope.cpp:71
pappso::AtomIsotope::S
@ S
Definition peptidenaturalisotope.cpp:75
pappso::AtomIsotope::N
@ N
Definition peptidenaturalisotope.cpp:74
pappso::AtomIsotope::H
@ H
Definition peptidenaturalisotope.cpp:72
pappso::AtomIsotope::O
@ O
Definition peptidenaturalisotope.cpp:73

## Axis

enum class pappso::Enums::Axis : std::int8_t

strong

Enumerator
unset |
x |
y |
z |

Definition at line 257 of file types.h.

{
unset = 0x000,
x = 1 << 0,
y = 1 << 1,
z = 1 << 2,
};
pappso::Enums::DataCompression::unset
@ unset
not net
Definition types.h:242
pappso::PeptideIonCter::y
@ y
Definition peptide.h:87
pappso::PeptideIonCter::x
@ x
Definition peptide.h:92
pappso::PeptideIonCter::z
@ z
Definition peptide.h:90

## AxisScale

enum class pappso::Enums::AxisScale : std::int8_t

strong

Enumerator
unset |
orig |
log10 |

Definition at line 266 of file types.h.

{
unset = 0,
orig = 1,
log10 = 2,
};
pappso::Enums::AxisScale::orig
@ orig
Definition types.h:269
pappso::Enums::AxisScale::log10
@ log10
Definition types.h:270

## DataCompression

enum class pappso::Enums::DataCompression : std::int8_t

strong

Enumerator
unset | not net
none | no compression
zlib | zlib compresssion

Definition at line 240 of file types.h.

{
unset = -1, ///< not net
none = 0, ///< no compression
zlib = 1, ///< zlib compresssion
};
pappso::Enums::TimeUnit::none
@ none
Definition types.h:85
pappso::Enums::DataCompression::zlib
@ zlib
zlib compresssion
Definition types.h:244

## DataKind

enum class pappso::Enums::DataKind : std::int8_t

strong

Enumerator
unset | not set
rt | Retention time.
dt | Drift time.
mz | m/z

Definition at line 248 of file types.h.

{
unset = -1, ///< not set
rt = 0, ///< Retention time
dt = 1, ///< Drift time
mz = 2, ///< m/z
};
pappso::Enums::DataKind::dt
@ dt
Drift time.
Definition types.h:252
pappso::Enums::DataKind::rt
@ rt
Retention time.
Definition types.h:251
pappso::Enums::PrecisionUnit::mz
@ mz
Definition types.h:101

## FileReaderType

enum class pappso::Enums::FileReaderType

strong

Enumerator
pwiz | using libpwizlite
mzcbor | using homemade mzcbor parser
xy |
bafascii |
tims | TimsMsRunReader : each scan is returned as a mass spectrum.
tims_frames | TimsFramesMsRunReader : the whole frame is merged in a single spectrum
tims_ms2 | TimsMsRunReaderMs2 : Spectrum are delivered for each precursor (MS1 or MS2)
tims_dia | TimsMsRunReaderDia : Spectrum are delivered for DIA window (slice)

Definition at line 175 of file types.h.

{
pwiz, ///< using libpwizlite
mzcbor, ///< using homemade mzcbor parser
xy,
bafascii,
tims, ///< TimsMsRunReader : each scan is returned as a mass spectrum
tims_frames, ///< TimsFramesMsRunReader : the whole frame is merged in a
///< single spectrum
tims_ms2, ///< TimsMsRunReaderMs2 : Spectrum are delivered for each precursor
///< (MS1 or MS2)
tims_dia, ///< TimsMsRunReaderDia : Spectrum are delivered for DIA window
///< (slice)
};
pappso::Enums::MsDataFormat::xy
@ xy
(x,y) format
Definition types.h:154
pappso::Enums::MsDataFormat::mzcbor
@ mzcbor
Definition types.h:167
pappso::Enums::FileReaderType::pwiz
@ pwiz
using libpwizlite
Definition types.h:177
pappso::Enums::FileReaderType::tims_frames
@ tims_frames
Definition types.h:182
pappso::Enums::FileReaderType::tims_ms2
@ tims_ms2
Definition types.h:184
pappso::Enums::FileReaderType::bafascii
@ bafascii
Definition types.h:180
pappso::Enums::FileReaderType::tims_dia
@ tims_dia
Definition types.h:187
pappso::Enums::FileReaderType::tims
@ tims
TimsMsRunReader : each scan is returned as a mass spectrum.
Definition types.h:181

## Isotope

enum class pappso::Enums::Isotope

strong

Enumerator
C |
C13 |
H |
H2 |
O |
O17 |
O18 |
N |
N15 |
S |
S33 |
S34 |
S36 |
P |

Definition at line 125 of file types.h.

{
C,
C13,
H,
H2,
O,
O17,
O18,
N,
N15,
S,
S33,
S34,
S36,
P
};
pappso::Enums::Isotope::S36
@ S36
Definition types.h:139
pappso::Enums::Isotope::C13
@ C13
Definition types.h:128
pappso::Enums::Isotope::N15
@ N15
Definition types.h:135
pappso::Enums::Isotope::S33
@ S33
Definition types.h:137
pappso::Enums::Isotope::O18
@ O18
Definition types.h:133
pappso::Enums::Isotope::O17
@ O17
Definition types.h:132
pappso::Enums::Isotope::S34
@ S34
Definition types.h:138
pappso::Enums::Isotope::H2
@ H2
Definition types.h:130

## MsDataFormat

enum class pappso::Enums::MsDataFormat : std::int8_t

strong

Enumerator
unknown | unknown format
mzML | mzML
mzXML | mzXML
MGF | Mascot format.
SQLite3 | SQLite3 format.
xy | (x,y) format
mz5 |
msn |
abSciexWiff |
abSciexT2D |
agilentMassHunter |
thermoRaw |
watersRaw |
brukerFid |
brukerYep |
brukerBaf |
brukerTims |
brukerBafAscii |
mzcbor |
last |

Definition at line 147 of file types.h.

{
unknown = 0, ///< unknown format
mzML = 1, ///< mzML
mzXML = 2, ///< mzXML
MGF = 3, ///< Mascot format
SQLite3 = 4, ///< SQLite3 format
xy = 5, ///< (x,y) format
mz5 = 6, //< MZ5 format
msn = 7, //< MS_MS2 format
abSciexWiff = 8,
abSciexT2D = 9,
agilentMassHunter = 10,
thermoRaw = 11,
watersRaw = 12,
brukerFid = 13,
brukerYep = 14,
brukerBaf = 15,
brukerTims = 16,
brukerBafAscii = 17, // Baf to ascii from Bruker software
mzcbor = 18,
last = 19
};
pappso::Enums::MsDataFormat::brukerTims
@ brukerTims
Definition types.h:165
pappso::Enums::MsDataFormat::msn
@ msn
Definition types.h:156
pappso::Enums::MsDataFormat::agilentMassHunter
@ agilentMassHunter
Definition types.h:159
pappso::Enums::MsDataFormat::abSciexT2D
@ abSciexT2D
Definition types.h:158
pappso::Enums::MsDataFormat::mzXML
@ mzXML
mzXML
Definition types.h:151
pappso::Enums::MsDataFormat::watersRaw
@ watersRaw
Definition types.h:161
pappso::Enums::MsDataFormat::mz5
@ mz5
Definition types.h:155
pappso::Enums::MsDataFormat::brukerBaf
@ brukerBaf
Definition types.h:164
pappso::Enums::MsDataFormat::mzML
@ mzML
mzML
Definition types.h:150
pappso::Enums::MsDataFormat::abSciexWiff
@ abSciexWiff
Definition types.h:157
pappso::Enums::MsDataFormat::brukerBafAscii
@ brukerBafAscii
Definition types.h:166
pappso::Enums::MsDataFormat::brukerFid
@ brukerFid
Definition types.h:162
pappso::Enums::MsDataFormat::unknown
@ unknown
unknown format
Definition types.h:149
pappso::Enums::MsDataFormat::SQLite3
@ SQLite3
SQLite3 format.
Definition types.h:153
pappso::Enums::MsDataFormat::MGF
@ MGF
Mascot format.
Definition types.h:152
pappso::Enums::MsDataFormat::thermoRaw
@ thermoRaw
Definition types.h:160
pappso::Enums::MsDataFormat::brukerYep
@ brukerYep
Definition types.h:163

## PeptideIon

enum class pappso::Enums::PeptideIon : std::int8_t

strong

Enums::PeptideIon enum defines all types of ions (Nter or Cter).

Enumerator
b | Nter acylium ions.
bstar | Nter acylium ions + NH3 loss.
bo | Nter acylium ions + H2O loss.
a | Nter aldimine ions.
astar | Nter aldimine ions + NH3 loss.
ao | Nter aldimine ions + H2O loss.
bp |
c | Nter amino ions.
y | Cter amino ions.
ystar | Cter amino ions + NH3 loss.
yo | Cter amino ions + H2O loss.
z | Cter carbocations.
yp |
x | Cter acylium ions.

Definition at line 285 of file types.h.

{
b = 0, ///< Nter acylium ions
bstar = 1, ///< Nter acylium ions + NH3 loss
bo = 2, ///< Nter acylium ions + H2O loss
a = 3, ///< Nter aldimine ions
astar = 4, ///< Nter aldimine ions + NH3 loss
ao = 5, ///< Nter aldimine ions + H2O loss
bp = 6,
c = 7, ///< Nter amino ions
y = 8, ///< Cter amino ions
ystar = 9, ///< Cter amino ions + NH3 loss
yo = 10, ///< Cter amino ions + H2O loss
z = 11, ///< Cter carbocations
yp = 12,
x = 13 ///< Cter acylium ions
};
pappso::masschroq::PeakQualityCategory::a
@ a
peak detected using a single direct MS2 observation
Definition types.h:46
pappso::masschroq::PeakQualityCategory::c
@ c
Definition types.h:54
pappso::masschroq::PeakQualityCategory::b
@ b
Definition types.h:52
pappso::PeptideIonNter::astar
@ astar
Definition peptide.h:78
pappso::PeptideIonNter::bp
@ bp
Definition peptide.h:80
pappso::PeptideIonNter::bstar
@ bstar
Definition peptide.h:75
pappso::PeptideIonNter::bo
@ bo
Definition peptide.h:76
pappso::PeptideIonNter::ao
@ ao
Definition peptide.h:79
pappso::PeptideIonCter::yp
@ yp
Definition peptide.h:91
pappso::PeptideIonCter::ystar
@ ystar
Definition peptide.h:88
pappso::PeptideIonCter::yo
@ yo
Definition peptide.h:89

## PrecisionUnit

enum class pappso::Enums::PrecisionUnit

strong

Enumerator
none |
dalton |
ppm |
res |
mz |
last |

Definition at line 95 of file types.h.

{
none,
dalton,
ppm,
res,
mz,
last
};
pappso::Enums::PrecisionUnit::res
@ res
Definition types.h:100
pappso::Enums::PrecisionUnit::ppm
@ ppm
Definition types.h:99
pappso::Enums::PrecisionUnit::dalton
@ dalton
Definition types.h:98

## SortOrder

enum class pappso::Enums::SortOrder : std::int8_t

strong

Enumerator
ascending |
descending |

Definition at line 230 of file types.h.

{
ascending = 0,
descending = 1,
};
pappso::Enums::SortOrder::ascending
@ ascending
Definition types.h:232
pappso::Enums::SortOrder::descending
@ descending
Definition types.h:233

## SortType

enum class pappso::Enums::SortType : std::int8_t

strong

Enumerator
none |
x |
y |

Definition at line 222 of file types.h.

{
none = 0,
x = 1,
y = 2,
};

## TimeUnit

enum class pappso::Enums::TimeUnit

strong

Enumerator
none |
s |
min |
h |

Definition at line 84 of file types.h.

{
none,
s,
min,
h,
};
pappso::Enums::TimeUnit::s
@ s
Definition types.h:86
pappso::Enums::TimeUnit::h
@ h
Definition types.h:88
pappso::Enums::TimeUnit::min
@ min
Definition types.h:87

## XicExtractMethod

enum class pappso::Enums::XicExtractMethod : std::int8_t

strong

Enumerator
sum | sum of intensities
max | maximum of intensities

Definition at line 277 of file types.h.

{
sum = 1, ///< sum of intensities
max = 2 ///< maximum of intensities
};
pappso::Enums::XicExtractMethod::sum
@ sum
sum of intensities
Definition types.h:279
pappso::Enums::XicExtractMethod::max
@ max
maximum of intensities
Definition types.h:280